---
title: ImageBitmap.close()
slug: Web/API/ImageBitmap/close
tags:
  - API
  - Experimental
  - ImageBitmap
  - Method
  - OffscreenCanvas
  - Reference
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <code><strong>ImageBitmap</strong></code><strong><code>.close()</code></strong> method disposes of all graphical resources associated with an <code>ImageBitmap</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">void ImageBitmap.close()</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var offscreen = new OffscreenCanvas(256, 256);
var gl = offscreen.getContext('webgl');

// ... some drawing using the gl context ...

var bitmap = offscreen.transferToImageBitmap();
// ImageBitmap { width: 256, height: 256 }

bitmap.close();
// ImageBitmap { width: 0, height: 0 } -- disposed
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "webappapis.html#dom-imagebitmap-close", "close()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ImageBitmap.close")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method, {{domxref("ImageBitmap")}}.</li>
</ul>
